## dbus 1.13.12

=== debian/changelog ===
dbus (1.13.12-1) experimental; urgency=medium

  * New upstream development release
    - CVE-2019-12749: Do not attempt to carry out DBUS_COOKIE_SHA1
      authentication for identities that differ from the user running the
      DBusServer. Previously, a local attacker could manipulate symbolic
      links in their own home directory to bypass authentication and
      connect to a DBusServer with elevated privileges. The standard
      system and session dbus-daemons in their default configuration were
      immune to this attack because they did not allow DBUS_COOKIE_SHA1,
      but third-party users of DBusServer such as Upstart could be
      vulnerable.

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Jun 2019 21:33:03 +0100

dbus (1.13.10-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
    - Fix incorrect fd limits for services launched by the system bus
      via traditional (non-systemd) activation (Closes: #928877)
    - d/copyright: Update
  * Explicitly enable the new --enable-traditional-activation option.
    This is the upstream default anyway, but it would be a serious
    regression if our dbus builds only supported systemd activation.
  * d/tests/system-bus: Add a smoke-test for traditional activation,
    and a smoke-test for systemd activation on systems booted with systemd.
  * d/p/dbus-daemon-test-Don-t-test-fd-limits-if-in-an-unprivileg.patch:
    Drop patch, applied upstream
  * d/rules, d/tests: Run automated tests with DBUS_TEST_MALLOC_FAILURES=0.
    Testing the code paths for memory allocation failures is too slow
    to do routinely as a downstream.
  * Standards-Version: 4.3.0 (no changes required)

  [ Michael Biebl ]
  * Move libraries to /usr/lib.
    Since we can rely on /usr being available during early boot nowadays,
    there is no longer a need to move any libraries to /lib.

 -- Simon McVittie <smcv@debian.org>  Mon, 13 May 2019 19:53:32 +0100
