## dbus 1.14.0

=== debian/changelog ===
dbus (1.14.0-2ubuntu2) kinetic; urgency=medium

  * d/control: Add M-A: foreign to the new dbus-{session,system}-bus-common
    packages to permit the resolver to use them to satisfy i386 dependencies

 -- Dave Jones <dave.jones@canonical.com>  Tue, 30 Aug 2022 15:15:24 +0100

dbus (1.14.0-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1959211). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit.
    - Rework ubuntu/dont-stop-dbus.patch to actually make dbus.service _and_
      dbus.socket to not be part of the shutdown transaction. And yet make it
      possible to still stop/kill/restart dbus.service if one really wants to,
      because it is stuck and stopped responding to any commands. This allows
      allows to restart dbus.service with needrestart. However a finalrd hook
      might still be needed, to kill dbus-daemon for good, once we pivot off
      rootfs.
    - Rework d/p/ubuntu/dont-stop-dbus.patch to avoid a deadlock during boot
    - Make autopkgtests cross-test-friendly.
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus on
      demand after package installation.
    - Prevent dbus from being restarted on upgrade
    - git configuration changes for Ubuntu (d/gbp.conf, d/.gitignore)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 Aug 2022 15:07:57 +0100

dbus (1.14.0-2) unstable; urgency=medium

  * Revert workaround for #994204. Since debhelper 13.7, the workaround
    doesn't do what we wanted either, causing unwanted dbus-daemon restarts
    when rebuilt with a current debhelper.
  * Explicitly build-depend on a debhelper without #994204 (either a newer
    version where it is fixed, or an older version which didn't have that
    problem). The failure mode caused by that bug is particularly bad
    for dbus.
  * Standards-Version: 4.6.1 (no changes required)
  * Use XML catalog from built tree, fixing incorrect paths to DTDs
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Jul 2022 23:00:40 +0100

dbus (1.14.0-1) unstable; urgency=medium

  * Merge from experimental
    - d/changelog: Reorder changelog to reflect the order of events as
      seen from unstable
    - d/gbp.conf, d/control: Adjust branches for 1.14.x
  * New upstream stable release branch
    - dbus-daemon: GetConnectionCredentials provides UnixGroupIDs from
      Linux SO_PEERGROUPS
    - dbus-daemon: <policy group="..."> uses Linux SO_PEERGROUPS
    - dbus-daemon: add <allow send_destination_prefix="..."> (also works
      on <deny>)
    - dbus-daemon: removes header fields that it does not understand
    - dbus-daemon: Add ActivatableServicesChanged signal
    - dbus-user-session: dbus-daemon is now in session.slice
    - dbus-bin: Add `dbus-send --sender`
    - dbus-daemon: Installing into /etc/dbus-1/system.d is officially
      reserved for the sysadmin, packages should install into
      /usr/share/dbus-1/system.d
    - libdbus-1-3, dbus-daemon: DBusServer no longer accepts login names
      for EXTERNAL authentication, only numeric uids or the empty string
    - dbus-daemon: several environment variables set by systemd are no
      longer inherited by traditional (non-systemd) activated services
    - dbus-daemon: notifies systemd that it is ready via sd_notify()
  * d/control: Drop python3 build-dependency, no longer needed
  * d/watch: Only watch for stable releases for this branch

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Feb 2022 13:32:54 +0000

dbus (1.13.22-1) experimental; urgency=medium

  * New upstream release (release candidate for 1.14.0)
    - No longer logs warnings about /proc/self/oom_score_adj with
      systemd >= 250 (Closes: #1004543)
  * Drop patch for #1005889, applied upstream
  * Register DTDs in the XML catalog

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Feb 2022 18:04:43 +0000

dbus (1.13.20-2) experimental; urgency=medium

  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Feb 2022 12:34:27 +0000

dbus (1.13.20-1) experimental; urgency=medium

  * Merge packaging from unstable
  * New upstream development release
  * Put the shared library in /lib/MULTIARCH, as we do in unstable,
    in accordance with the advice given by the Technical Committee
    in #994388.

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Dec 2021 13:29:39 +0000

dbus (1.13.18-2) experimental; urgency=medium

  [ Luca Boccassi ]
  * Split tools and configs into -bin and -common packages.
    User creation also moves to dbus-common. This is useful for
    other D-Bus implementations like dbus-broker.

  [ Simon McVittie ]
  * Split dbus-common into -session-bus-common and -system-bus-common.
    This allows us to install the integration files for session services
    without having to create the messagebus user or run a system bus,
    which is useful for CI environments that will run
    session-service-dependent unit tests in a container where a system bus
    is not necessary or desired, particularly in situations where creating
    new uids can be problematic such as unprivileged containers.
  * dbus: Provide a default-dbus-system-bus virtual package.
    This allows us to signal what the default implementation of
    dbus-system-bus is, even when other implementations like dbus-broker

