=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
@@ -11,47 +12,51 @@
 Build-Depends:
  autoconf-archive (>= 20150224),
  automake,
- debhelper (>= 11.1~),
+ debhelper (>= 13.7) | debhelper (<< 13.4),
+ debhelper-compat (= 13),
  dh-exec,
- libapparmor-dev [linux-any] <!pkg.dbus.minimal>,
- libaudit-dev [linux-any] <!pkg.dbus.minimal>,
- libcap-ng-dev [linux-any] <!pkg.dbus.minimal>,
+ libapparmor-dev [linux-any],
+ libaudit-dev [linux-any],
+ libcap-ng-dev [linux-any],
  libexpat-dev,
- libglib2.0-dev <!pkg.dbus.minimal>,
+ libglib2.0-dev <!nocheck> <!noinsttest>,
  libnss-wrapper <!nocheck>,
- libselinux1-dev [linux-any] <!pkg.dbus.minimal>,
- libsystemd-dev [linux-any] <!pkg.dbus.minimal>,
- libx11-dev <!pkg.dbus.minimal>,
- python3 <!nocheck !pkg.dbus.minimal>,
- python3-dbus <!nocheck !pkg.dbus.minimal>,
- python3-gi <!nocheck !pkg.dbus.minimal>,
- valgrind [amd64 arm64 armhf i386 mips64 mips64el mips mipsel powerpc ppc64 ppc64el s390x] <!pkg.dbus.minimal>,
- xmlto <!nodoc !pkg.dbus.minimal>,
+ libselinux1-dev [linux-any],
+ libsystemd-dev [linux-any],
+ libx11-dev,
+ pkg-config,
+ valgrind-if-available,
+ xml-core,
+ xmlto <!nodoc>,
 Build-Depends-Indep:
  doxygen <!nodoc>,
  ducktype <!nodoc>,
  xsltproc <!nodoc>,
  yelp-tools <!nodoc>,
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/experimental
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
-Homepage: http://dbus.freedesktop.org/
+Homepage: https://dbus.freedesktop.org/
 Rules-Requires-Root: no
 
 Package: dbus
 Architecture: any
 Priority: standard
 Provides:
+ dbus-system-bus (= ${binary:Version}),
+ default-dbus-system-bus,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
  dbus-bin (= ${binary:Version}),
- dbus-system-bus (= ${binary:Version}),
-Depends:
- adduser,
+ dbus-daemon (= ${binary:Version}),
+ dbus-system-bus-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  default-dbus-session-bus | dbus-session-bus,
 Multi-Arch: foreign
-Description: simple interprocess messaging system (daemon and utilities)
+Description: simple interprocess messaging system (system message bus)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
  terms of complexity.
@@ -64,16 +69,115 @@
  .
  It comes with several bindings, including GLib, Python, Qt and Java.
  .
- This package contains the D-Bus daemon and related utilities.
- .
- The client-side library can be found in the libdbus-1-3 package, as it is no
- longer contained in this package.
+ This package provides a fully-functional D-Bus system bus with activation
+ support, used for communication between system services, and depends on
+ most of the other components of the reference implementation of D-Bus.
+ .
+ To provide a complete D-Bus session bus, install one of the packages
+ that implement the dbus-session-bus virtual package, such as
+ dbus-user-session. The recommended implementation is indicated by
+ the default-dbus-session-bus virtual package.
+
+Package: dbus-session-bus-common
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Breaks:
+ dbus (<< 1.13.18-2~),
+Replaces:
+ dbus (<< 1.13.18-2~),
+Description: simple interprocess messaging system (session bus configuration)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ This package contains the configuration files defining the behaviour of
+ the D-Bus session bus, used for applications and per-user services.
+ These are used by the reference implementation in the dbus package,
+ and by the reimplementation in the dbus-broker package.
+ .
+ To provide a complete D-Bus session bus, install one of the packages
+ that implement the dbus-session-bus virtual package, such as
+ dbus-user-session. The recommended implementation is indicated by
+ the default-dbus-session-bus virtual package.
+
+Package: dbus-system-bus-common
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ adduser,
+ ${misc:Depends},
+Breaks:
+ dbus (<< 1.13.18-2~),
+Replaces:
+ dbus (<< 1.13.18-2~),
+Description: simple interprocess messaging system (system bus configuration)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ This package contains the configuration files defining the behaviour of
+ the D-Bus system bus, used for system services such as networking and
+ storage management services. It is also responsible for creating the
+ 'messagebus' system user account used to run the system bus.
+ These are used by the reference implementation in the dbus package,
+ and by the reimplementation in the dbus-broker package.
+ .
+ To provide a complete D-Bus system bus, install one of the packages
+ that implement the dbus-system-bus virtual package, such as dbus.
+ The recommended implementation is indicated by the default-dbus-system-bus
+ virtual package.
+
+Package: dbus-bin
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ dbus (<< 1.13.18-2~),
+Replaces:
+ dbus (<< 1.13.18-2~),
+Description: simple interprocess messaging system (command line utilities)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ This package contains the D-Bus command-line utilities such as dbus-send
+ and dbus-monitor.
+
+Package: dbus-daemon
+Architecture: any
+Depends:
+ dbus-bin (= ${binary:Version}),
+ dbus-session-bus-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ dbus (<< 1.13.18-2~),
+Replaces:
+ dbus (<< 1.13.18-2~),
+Description: simple interprocess messaging system (reference message bus)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ This package contains dbus-daemon, the reference implementation of a
+ D-Bus message bus, and dbus-run-session, a utility to start a temporary
+ session dbus-daemon in a constrained environment or for automated tests.
+ .
+ To provide a complete D-Bus session bus, install one of the packages
+ that implement the dbus-session-bus virtual package, such as
+ dbus-user-session. The recommended implementation is indicated by
+ the default-dbus-session-bus virtual package.
 
 Package: dbus-1-doc
-Build-Profiles: <!nodoc !pkg.dbus.minimal>
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
 Suggests:
@@ -89,7 +193,7 @@
  See the dbus description for more information about D-Bus in general.
 
 Package: dbus-tests
-Build-Profiles: <!pkg.dbus.minimal>
+Build-Profiles: <!noinsttest>
 Section: misc
 Architecture: any
 Pre-Depends:
@@ -120,18 +224,19 @@
 Section: debian-installer
 Package-Type: udeb
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Description: simple interprocess messaging system (minimal runtime)
  D-Bus is a message bus, used for sending messages between applications.
  .
- This package is a minimal version of the dbus and dbus-x11 packages,
- for use in the Debian installer. It can run a session bus, but is not
- suitable for use as a system bus.
+ This package is a minimal version of the dbus-daemon and dbus-x11
+ packages, for use in the Debian installer. It can run a session bus,
+ but is not suitable for use as a system bus.
 
 Package: dbus-user-session
-Build-Profiles: <!pkg.dbus.minimal>
 Architecture: linux-any
 Multi-Arch: foreign
 Provides:
@@ -140,7 +245,8 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- dbus (>= ${source:Version}),
+ dbus-daemon (= ${binary:Version}) | dbus-broker,
+ dbus-session-bus-common (>= ${source:Version}),
  libpam-systemd,
  systemd,
  ${misc:Depends},
@@ -174,14 +280,17 @@
  See the dbus package description for more information about D-Bus in general.
 
 Package: dbus-x11
-Build-Profiles: <!pkg.dbus.minimal>
 Architecture: any
 Section: x11
 Provides:
  dbus-session-bus,
  default-dbus-session-bus [!linux-any],
-Depends:
- dbus,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ dbus-bin (= ${binary:Version}),
+ dbus-daemon (= ${binary:Version}),
+ dbus-session-bus-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: foreign
@@ -190,8 +299,10 @@
  Conceptually, it fits somewhere in between raw sockets and CORBA in
  terms of complexity.
  .
- This package contains the dbus-launch utility which is necessary for
- packages using a D-Bus session bus.
+ This package contains the dbus-launch utility, which automatically
+ launches one D-Bus session bus per X11 display per user. If the
+ dbus-user-session package is also installed, it takes precedence over
+ this package.
  .
  See the dbus description for more information about D-Bus in general.
 
@@ -221,13 +332,15 @@
  .
  It comes with several bindings, including GLib, Python, Qt and Java.
  .
- The daemon can be found in the dbus package.
+ The message bus daemon can be found in the dbus-daemon package.
 
 Package: libdbus-1-3-udeb
 Build-Profiles: <!noudeb>
 Section: debian-installer
 Package-Type: udeb
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -247,10 +360,3 @@
  libdbus-1-3 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends},
- ${shlibs:Depends},
-Description: simple interprocess messaging system (development headers)
- D-Bus is a message bus, used for sending messages between applications.
- Conceptually, it fits somewhere in between raw sockets and CORBA in
- terms of complexity.
- .
- See the dbus description for more information about D-Bus in general.
