## dbus 1.14.2

=== debian/changelog ===
dbus (1.14.2-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * added runit scripts

 -- anticapitalista <antix@operamail.com>  Tue, 27 Sep 2022 12:11:27 +0300

dbus (1.14.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * d/copyright: Update

  [ Dave Jones ]
  * Make autopkgtest cross-friendly

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Sep 2022 17:09:42 +0100
