=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
@@ -22,7 +21,6 @@
  libglib2.0-dev <!nocheck> <!noinsttest>,
  libnss-wrapper <!nocheck>,
  libselinux1-dev [linux-any],
- libsystemd-dev [linux-any],
  libx11-dev,
  pkg-config,
  valgrind-if-available,
@@ -80,7 +78,6 @@
 
 Package: dbus-session-bus-common
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Breaks:
@@ -104,7 +101,6 @@
 
 Package: dbus-system-bus-common
 Architecture: all
-Multi-Arch: foreign
 Depends:
  adduser,
  ${misc:Depends},
@@ -360,3 +356,6 @@
  libdbus-1-3 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends},
+ ${shlibs:Depends},
+Description: simple interprocess messaging system (development headers)
+ D-Bus is a message bus, used for sending messages between applications.
