## dbus 1.14.4

=== debian/changelog ===
dbus (1.14.4-1) unstable; urgency=high

  * New upstream stable release 1.14.4
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:00:00 +0100
