=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  libglib2.0-dev <!nocheck> <!noinsttest>,
  libnss-wrapper <!nocheck>,
  libselinux1-dev [linux-any],
+ libsystemd-dev [linux-any],
  libx11-dev,
  pkg-config,
  valgrind-if-available,
@@ -358,4 +359,3 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: simple interprocess messaging system (development headers)
- D-Bus is a message bus, used for sending messages between applications.
