=== debian/rules ===
--- 
+++ 
@@ -257,6 +257,5 @@
 override_dh_missing:
 	dh_missing $(dh_missing_options)
 
+# Yes, we do need both --no- options here. https://bugs.debian.org/837528
 override_dh_installinit:
-	dh_installinit -pdbus --no-start --no-stop-on-upgrade
-override_dh_installsystemd:
