## dbus 1.14.6

=== debian/changelog ===
dbus (1.14.6-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * d/copyright: Update
  * Standards-Version: 4.6.2 (no changes required)
  * d/control: Mark dbus-*-bus-common as Multi-Arch: foreign.
    Thanks to Dave Jones / Ubuntu
  * d/upstream/metadata: Update Gitlab URLs to preferred format
  * Drop migration path from very old debug symbol packages
  * Avoid explicitly specifying -Wl,--as-needed linker flag,
    which is the default with Debian 12 toolchains
  * Remove version constraints unnecessary since Debian 10

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 13:21:47 +0000
