=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Loic Minier <lool@dooz.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- autoconf-archive (>= 20150224),
+ autoconf-archive,
  automake,
  debhelper (>= 13.7) | debhelper (<< 13.4),
  debhelper-compat (= 13),
@@ -32,7 +32,7 @@
  ducktype <!nodoc>,
  xsltproc <!nodoc>,
  yelp-tools <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
 Homepage: https://dbus.freedesktop.org/
@@ -79,6 +79,7 @@
 
 Package: dbus-session-bus-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Breaks:
@@ -102,6 +103,7 @@
 
 Package: dbus-system-bus-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  adduser,
  ${misc:Depends},
@@ -249,10 +251,6 @@
  ${misc:Depends},
 Recommends:
  systemd-sysv,
-Breaks:
- dbus-x11 (<< 1.9.10-2~),
- policykit-1 (<< 0.105-12~),
- udisks2 (<< 2.1.5-2~),
 Description: simple interprocess messaging system (systemd --user integration)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -311,8 +309,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- dbus (<< 1.9.16-1~),
 Recommends:
  dbus,
 Section: libs
@@ -359,3 +355,4 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: simple interprocess messaging system (development headers)
+ D-Bus is a message bus, used for sending messages between applications.
