=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,7 @@
 debug_build_prefix := /usr/lib/dbus-1.0/debug-build
 binaries := $(shell dh_listpackages)
 
-export DEB_LDFLAGS_MAINT_APPEND = \
-	-Wl,--as-needed \
-	-Wl,--gc-sections \
-	$(NULL)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections
 
 dh_options = \
 	--builddirectory=debian/build-main \
@@ -259,3 +256,4 @@
 
 # Yes, we do need both --no- options here. https://bugs.debian.org/837528
 override_dh_installinit:
+	dh_installinit -pdbus --no-stop-on-upgrade --no-restart-after-upgrade
