## dbus 1.14.8

=== debian/changelog ===
dbus (1.14.8-2~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 20:59:33 +0100

dbus (1.14.8-2) unstable; urgency=high

  * dbus-daemon.postinst: Stop trying to take DPKG_ROOT into account.
    This unintentionally disabled the code path that would copy systemd's
    /etc/machine-id in preference to creating an entirely new machine ID.
    (Closes: #1040790)
  * d/tests: Add test coverage for #1040790

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 18:38:22 +0100

dbus (1.14.8-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm
  * d/gbp.conf: Use debian/bookworm branch
  * d/watch: Only watch for 1.14.x releases

 -- Simon McVittie <smcv@debian.org>  Sun, 11 Jun 2023 12:42:56 +0100

dbus (1.14.8-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:05:50 +0100
